# I3DShMasterClip Struct Reference
[Shell Interfaces]

Inheritance diagram for I3DShMasterClip:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | SetName (const TMCString &name)=0
virtual MCCOMErr MCCOMAPI | GetName (TMCString &name)=0
virtual MCCOMErr MCCOMAPI | SetClip (I3DShClip *clip, ECloneMode cloneMode)=0
virtual I3DShClip *MCCOMAPI | GetClip ()=0
virtual MCCOMErr MCCOMAPI | Clone (I3DShMasterClip **clone, ECloneMode cloneMode) const =0
virtual I3DShScene *MCCOMAPI | GetScene () const =0
virtual uint32 MCCOMAPI | GetInstancesCount ()=0
virtual void MCCOMAPI | GetInstanceArray (TMCCountedPtrArray< I3DExMasterInstance > &instances)=0
virtual void MCCOMAPI | AddInstance (I3DExMasterInstance *anInstance)=0
virtual void MCCOMAPI | RemoveInstance (I3DExMasterInstance *anInstance)=0
virtual void MCCOMAPI | DataChanged ()=0
virtual I3DShMaster *MCCOMAPI | GetThisMaster ()=0

## Detailed Description

I3DShMasterClip represents a Master Clip.

It supports multiple interfaces such as I3DShMaster and ISelectableObject

## Member Function Documentation

virtual void MCCOMAPI I3DShMasterClip::AddInstance | ( | I3DExMasterInstance * | anInstance | ) | `[pure virtual]`

Adds and instance.

Parameters:

  | anInstance | The instance to add.

virtual MCCOMErr MCCOMAPI I3DShMasterClip::Clone | ( | I3DShMasterClip ** | clone,
|  | ECloneMode | cloneMode |
| ) |  |  | const`[pure virtual]`

Makes a copy of the Master Clip.

Parameters:

  | clone | The copy that is returned.
  | cloneMode | The clone Mode (see ECloneMode).

virtual void MCCOMAPI I3DShMasterClip::DataChanged | ( |  | ) | `[pure virtual]`

You should call this function if you modify the I3DShClip. It will trigger the proper invalidations and post the correct message.

virtual I3DShClip* MCCOMAPI I3DShMasterClip::GetClip | ( |  | ) | `[pure virtual]`

Returns a pointer to the clip that defines this Master Clip.

virtual void MCCOMAPI I3DShMasterClip::GetInstanceArray | ( | TMCCountedPtrArray< I3DExMasterInstance > & | instances | ) | `[pure virtual]`

Returns an array of all the instances that points to that class.

Parameters:

  | instances | An array of instances.

virtual uint32 MCCOMAPI I3DShMasterClip::GetInstancesCount | ( |  | ) | `[pure virtual]`

Returns the number of instances of this object. Exact same call as I3DShMaster::GetInstancesCount

virtual MCCOMErr MCCOMAPI I3DShMasterClip::GetName | ( | TMCString & | name | ) | `[pure virtual]`

Returns the name of the Master Clip.

Parameters:

  | name | The name of the Master Clip.

virtual I3DShScene* MCCOMAPI I3DShMasterClip::GetScene | ( |  | ) | const`[pure virtual]`

Returns the scene that contains this object.

Parameters:

  | scene | A pointer to the scene.

virtual I3DShMaster* MCCOMAPI I3DShMasterClip::GetThisMaster | ( |  | ) | `[pure virtual]`

Returns the I3DShMaster interface.

virtual void MCCOMAPI I3DShMasterClip::RemoveInstance | ( | I3DExMasterInstance * | anInstance | ) | `[pure virtual]`

Removes and instance.

Parameters:

  | anInstance | The instance to remove.

virtual MCCOMErr MCCOMAPI I3DShMasterClip::SetClip | ( | I3DShClip * | clip,
|  | ECloneMode | cloneMode |
| ) |  |  | `[pure virtual]`

Sets the clip that defines this Master Clip.

Parameters:

  | clip | A pointer to the clip.
  | cloneMode | The clone Mode (see ECloneMode).

virtual MCCOMErr MCCOMAPI I3DShMasterClip::SetName | ( | const TMCString & | name | ) | `[pure virtual]`

Sets the name of a master. Note that you should not call this method once the master is inserted in a scene because it does not garantee the unicity of the name.

If you want to change the name of a Master Clip once it is inserted in a scene, you should call I3DShScene::RenameMasterClip().

Parameters:

  | name | The new name of the master.

The documentation for this struct was generated from the following file:

- I3DShClip.h